writeToFile {arrayMagic} | R Documentation

## Writes a textual representation of an exprSetRG and/or arrayData object

### Description

`writeToFile` generates a well-formated tab-deliminated output file of data stored in the `exprSetRG` and/or `arrayData` objects. Different "views" on either a corresponding pair of an `exprSetRG`- and an `arrayData`-object or of a single object itself are possible. The argument `channels` allows to specify the "views". The microarray slide or channel annotation, as well as the spot annotation is aligned to the data block if given. For further restriction and control of the output, e.g. slide subsets or ordering of slides, you may use the subsetting operations offered by the `exprSetRG-class` and `arrayData-class` beforehand (e.g. slideSubset and [] ).

### Usage

    writeToFile(arrayDataObject, exprSetRGObject, additionalDataMatrix, rowSelection, slideNameColumn, channels=c("logRatio"), fileName="dumpedData.txt", savePath=".", fullOutput=TRUE, coding=FALSE)

### Arguments

`arrayDataObject` | object of class `arrayData`; optional/required, cf. `channels`; default: missing
`exprSetRGObject` | object of class `exprSetRG`; optional/required, cf. `channels`; default: missing
`additionalDataMatrix` | class `matrix`; optional; default: missing. The rows must correspond to those of the data objects; `colnames` must be supplied.
`rowSelection` | vector of indexes; optional; default: missing
`slideNameColumn` | character string; optional; default: missing; must refer to a valid column in `getHybAttr`(`arrayDataObject`) or in `pDataSlide`(`exprSetRGobject`)
`channels` | vector of character strings; default: `c("logRatio")`; valid character strings are: "logRatio", "green", "red", "rawGreen", "rawRed", "rawGreenRelative", "rawRedRelative", "se.exprsLogRatio", "se.exprsGreen", "se.exprsRed". "Raw"-types must not mix with not "raw"-types and vice versa. "logRatio"-types must not mix with "colour"-types. The "raw" types require the argument `arrayDataObject`, all other types requires at least the argument `exprSetRGObject`.
`fileName` | character string; required; default: "dumpedData.txt"
`savePath` | character string; required; default: "."
`fullOutput` | logical; adds `phenoData` information at the top of the table ; by default: `TRUE`
`coding` | logical; adds integer-coded-`phenoData` information at the top to the table only if `coding = TRUE` and `fullOutput = TRUE`; default: `FALSE`

### Details

### Value

The function is called for its side effect, i.e. writing a file.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`exprSetRG-class`, `arrayData-class`, `write.htmltable`

### Examples

[Package Contents]